Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.model
Class Similarity

    java.lang.Object
      |
      +--edu.hust.go.model.Similarity

public class Similarity
extends java.lang.Object

Field Summary
`static byte` | `CAO`
`static byte` | `LIN`
`static byte` | `oldZZL`
`static byte` | `RESNIK`
`static byte` | `ZZL`

Constructor Summary
`Similarity()`

Method Summary
`static float` | `evaluate(edu.hust.go.model.GoGraphModel graphModel, java.lang.Object obj1, java.lang.Object obj2, byte type)` evaluate the similarity of two nodes in directed acylic graph

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAO

    public static final byte CAO

See Also:
  Constant Field Values

### LIN

    public static final byte LIN

See Also:
  Constant Field Values

### RESNIK

    public static final byte RESNIK

See Also:
  Constant Field Values

### ZZL

    public static final byte ZZL

See Also:
  Constant Field Values

### oldZZL

    public static final byte oldZZL

See Also:
  Constant Field Values

Constructor Detail

### Similarity

    public Similarity()

Method Detail

### evaluate

    public static float evaluate(edu.hust.go.model.GoGraphModel graphModel,
                                 java.lang.Object obj1,
                                 java.lang.Object obj2,
                                 byte type)

  evaluate the similarity of two nodes in directed acylic graph

  Parameters:
    `graphModel` - the graph that contains the two nodes
    `obj1` - one of the two nodes
    `obj2` - one of the two nodes
    `type` - Similarity.CAO: basen on information content Similarity.LIN: basen on information content, see Lin D. An information-theoretic definition of similarity. In: Proceedings of 15th International Conference on Machine Learning, San Francisco US, 1998, 296-304 Similarity.RESNIK: based on information content, see Resnik P. Using information content to evaluate semantic similarity in a taxonomy. In: Proceedings of the 14th International Joint Conference on Artificial Intelligence, Montreal Canada, 1995, 448-453 Similarity.ZZL: refined ZZL based on distance, the LCA(latest common ancestor) is one with maximal information content in the of the same distance LCA Similarity.oldZZL: based on distance, see Zhong JW, Zhu HP, Li JM, Yu Y. Conceptual Graph Matching for Semantic Search. In: Proceedings of the 10th International Conference on Conceptual Structures: Integration and Interfaces, 2002, 92-196
  Returns:
    the semanic similarity value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD